Subject: bug#34070: 27.0.50; icomplete-mode candidate cycling broken for C-x C-f

From: Stefan Monnier <[email-masked]>
Date: Thu, 17 Jan 2019 10:55:17 -0500

> Assuming there's a good reason why `c-p--f-t-f' does that,
> and if that's not appropriate for Icomplete in all or most
> cases, then I guess `c-p--f-t-f' wasn't a perfect match for
> Icomplete. ;-)

I think stripping . and .. was fine, and that not stripping them is also
acceptable (or only stripping one of the two): it doesn't matter that
much.

it really matters for c-p--f-t-f, tho, because otherwise TAB in a dir
with a single file won't directly complete to that file's name.

        Stefan

> well make use of such a function.  Misuse of the label
> "internal" is akin to Trump trying to "build that wall".

Should Trump also count for Godwin's law?